Index: configure.ac
===================================================================
--- configure.ac	(revision a82f61a466e15715e16f9470a56c3bdadfcb3895)
+++ configure.ac	(revision 42b40a4b4a9210b1ed60a0be93acd12541dedde9)
@@ -436,4 +436,5 @@
 AC_CONFIG_FILES([tests/GuiChecks/molecuilder], [chmod +x tests/GuiChecks/molecuilder])
 AC_CONFIG_FILES([tests/GuiChecks/molecuilderguitest], [chmod +x tests/GuiChecks/molecuilderguitest])
+AC_CONFIG_FILES([tests/GuiChecks/trianglematcher], [chmod +x tests/GuiChecks/trianglematcher])
 
 AC_CONFIG_TESTDIR(tests/JobMarket)
Index: tests/GuiChecks/Makefile.am
===================================================================
--- tests/GuiChecks/Makefile.am	(revision a82f61a466e15715e16f9470a56c3bdadfcb3895)
+++ tests/GuiChecks/Makefile.am	(revision 42b40a4b4a9210b1ed60a0be93acd12541dedde9)
@@ -209,4 +209,5 @@
 	package.m4 \
 	testsuite.at \
+	trianglematcher.in \
 	$(TESTSUITE) \
 	$(TESTSCRIPTS) \
@@ -240,5 +241,5 @@
 
 AUTOTEST = $(AUTOM4TE) --language=autotest
-$(TESTSUITE): $(srcdir)/testsuite.at molecuilder package.m4 molecuilderguitest $(TESTSCRIPTS)
+$(TESTSUITE): $(srcdir)/testsuite.at molecuilder molecuilderguitest package.m4 trianglematcher $(TESTSCRIPTS)
 	$(AUTOTEST) -I '$(srcdir)' -o $@.tmp $@.at
 	mv $@.tmp $@
Index: tests/GuiChecks/Tesselation/TriangleMatcher/testsuite-tesselation-trianglematcher.at
===================================================================
--- tests/GuiChecks/Tesselation/TriangleMatcher/testsuite-tesselation-trianglematcher.at	(revision 42b40a4b4a9210b1ed60a0be93acd12541dedde9)
+++ tests/GuiChecks/Tesselation/TriangleMatcher/testsuite-tesselation-trianglematcher.at	(revision 42b40a4b4a9210b1ed60a0be93acd12541dedde9)
@@ -0,0 +1,35 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2015 Frederik Heber
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### trianglematcher helper
+
+AT_SETUP([Tesselation - TriangleMather])
+AT_KEYWORDS([Tesselation trianglematcher])
+
+# matches
+AT_CHECK([../../trianglematcher ${abs_top_srcdir}/tests/regression/Tesselation/TriangleMatcher/pre/convex.dat ${abs_top_srcdir}/tests/regression/Tesselation/TriangleMatcher/pre/convex.dat], 0, [ignore], [ignore])
+AT_CHECK([../../trianglematcher ${abs_top_srcdir}/tests/regression/Tesselation/TriangleMatcher/pre/convex_other.dat ${abs_top_srcdir}/tests/regression/Tesselation/TriangleMatcher/pre/convex_other.dat], 0, [ignore], [ignore])
+AT_CHECK([../../trianglematcher ${abs_top_srcdir}/tests/regression/Tesselation/TriangleMatcher/pre/convex.dat ${abs_top_srcdir}/tests/regression/Tesselation/TriangleMatcher/pre/convex_other.dat], 0, [ignore], [ignore])
+AT_CHECK([../../trianglematcher ${abs_top_srcdir}/tests/regression/Tesselation/TriangleMatcher/pre/convex_other.dat ${abs_top_srcdir}/tests/regression/Tesselation/TriangleMatcher/pre/convex.dat], 0, [ignore], [ignore])
+
+# no matches
+AT_CHECK([../../trianglematcher ${abs_top_srcdir}/tests/regression/Tesselation/TriangleMatcher/pre/convex.dat ${abs_top_srcdir}/tests/regression/Tesselation/TriangleMatcher/pre/convex_none.dat], 1, [ignore], [ignore])
+AT_CHECK([../../trianglematcher ${abs_top_srcdir}/tests/regression/Tesselation/TriangleMatcher/pre/convex_other.dat ${abs_top_srcdir}/tests/regression/Tesselation/TriangleMatcher/pre/convex_none.dat], 1, [ignore], [ignore])
+AT_CHECK([../../trianglematcher ${abs_top_srcdir}/tests/regression/Tesselation/TriangleMatcher/pre/convex_none.dat ${abs_top_srcdir}/tests/regression/Tesselation/TriangleMatcher/pre/convex.dat], 1, [ignore], [ignore])
+AT_CHECK([../../trianglematcher ${abs_top_srcdir}/tests/regression/Tesselation/TriangleMatcher/pre/convex_none.dat ${abs_top_srcdir}/tests/regression/Tesselation/TriangleMatcher/pre/convex_other.dat], 1, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/GuiChecks/trianglematcher.in
===================================================================
--- tests/GuiChecks/trianglematcher.in	(revision 42b40a4b4a9210b1ed60a0be93acd12541dedde9)
+++ tests/GuiChecks/trianglematcher.in	(revision 42b40a4b4a9210b1ed60a0be93acd12541dedde9)
@@ -0,0 +1,31 @@
+#!/bin/sh
+#
+# wrapper for testing with trianglematcher
+
+. ../../atlocal
+
+if test ! -z ${valgrind}
+then
+G_SLICE=always-malloc G_DEBUG=gc-friendly \
+libtool --mode=execute \
+${valgrind} -v \
+--log-file=valgrind.log \
+--xml=yes \
+--xml-file=valgrind.err \
+--time-stamp=yes \
+--error-exitcode=255 \
+--leak-check=full \
+--leak-resolution=high \
+--num-callers=20 \
+--track-origins=yes \
+--show-reachable=yes \
+"${AUTOTEST_PATH}/Tesselation/TriangleMatcher/trianglematcher" \
+${1+"$@"}
+else
+"${AUTOTEST_PATH}/Tesselation/TriangleMatcher/trianglematcher" \
+${1+"$@"}
+fi
+
+status=$?
+
+exit $status
